#!/usr/bin/env node
var Rocket = require('commander');
var tool = {
  main: function() {
    Rocket
      .version('1.0.2')
      .command('init', 'Create a new rocket project')
      .command('start', 'Starts a project')
      .command('remove', 'Removes a project')
      .command('bundle <subcommand>', 'Tools for packaging up an environment')
      .command('deploy', 'Deploy package on a remote server')
      .parse(process.argv);
  }
};

tool.main();
