var gulp = require('gulp');
var jshint = require('gulp-jshint');
var sass = require('gulp-sass');

gulp.task('watch', function() {
  var watch = gulp.watch(['js/**/*.js', 'sass/**/*.scss'], ['buildCSS', 'lintJS']);
});

gulp.task('buildCSS', function(done) {
  return gulp.src('./sass/**/*.scss')
    .pipe(sass().on('error', sass.logError))
    .pipe(gulp.dest('./'));
  done();
});

gulp.task('lintJS', function(done) {
  return gulp.src('./js/**/*.js')
    .pipe(jshint({ linter: 'jshint' }))
    .pipe(jshint.reporter('jshint-stylish'));
});

gulp.task('default', ['watch']);
